/* 
 * File:   SerialStatus.h
 * Author: rkondner
 *
 * Created on November 26, 2014, 5:10 PM
 */

#ifndef SERIALSTATUS_H
#define	SERIALSTATUS_H

#ifdef	__cplusplus
extern "C" {
#endif

#define MAXCMD  40          //Max Chars in Command String
#define MAXTKN  10          //Max chars in token
#define RX_TimeOut 30       //Timeout in Seconds for forming Command Strings


extern void RX_Process (void);         //Process and incoming Chars
extern void RX_ProcessInit (void);    //Initials RX Processing
extern void RX_ProcessTime (void);     //Call once a second to time timeouts



#ifdef	__cplusplus
}
#endif

#endif	/* SERIALSTATUS_H */

